import axios from 'axios';
const APIURL = 'https://staging.fawaterk.com/api/v2';
const instanceAPI = axios.create({
  baseURL: APIURL
});
instanceAPI.interceptors.request.use(config => {
  if (config.method === 'post' && config.data === undefined) {
    config.data = {};
  }
  if (config.method === 'get') {
    // Add headers or any other specific logic for GET requests here
    config.headers['Custom-Header'] = 'Custom Value';
  }
  return config;
}, error => Promise.reject(error));
export const getPaymentTypes = async TOKEN => {
  const result = await instanceAPI.get('/getPaymentmethods', {
    headers: {
      'Authorization': `Bearer ${TOKEN}`,
      'content-type': 'application/json'
    }
  });
  return result.data;
};
export const createRequest = async (TOKEN, requestUrl, requestData) => {
  return new Promise(async (resolve, reject) => {
    try {
      const result = await instanceAPI.post(requestUrl, requestData, {
        headers: {
          Authorization: `Bearer ${TOKEN}`
        }
      });
      resolve(result.data);
    } catch (err) {
      reject({
        status: 'error',
        message: null
      });
    }
  });
};
//# sourceMappingURL=index.js.map